[youtubei.js](../../../../README.md) / [Parser](../README.md) / parseResponse

# Function: parseResponse()

> **parseResponse**\<`T`\>(`data`): `T`

Defined in: [src/parser/parser.ts:231](https://github.com/LuanRT/YouTube.js/blob/0733f60b57877f6b8b87dfd5cc6195b5085f5c09/src/parser/parser.ts#L231)

Parses a given InnerTube response.

## Type Parameters

### T

`T` *extends* [`IParsedResponse`](../../../../interfaces/IParsedResponse.md) = [`IParsedResponse`](../../../../interfaces/IParsedResponse.md)

## Parameters

### data

[`IRawResponse`](../../../../interfaces/IRawResponse.md)

Raw data.

## Returns

`T`
